# OSI Model
The OSI Model is a layered protocol model. It was proposed by the International Organization for Standardization. The model can be used as a reference to understand how networks operate.

![[OSI-model.png]]

 The model was created to have a standard which hardware/software producers could use so that different products could work with each other.
 
 For example, before this model was introduced, hardware from company A could not work together with hardware of company B because the protocols and techniques used were completely different.

As you can see the model has 7 layers. Each layer has their own responsibility.

**Note: We don't actually "use" the OSI model, we mostly use the [[TCP/IP Model]] now. The implementation is exactly the same, only some layers are different.**

